/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.CanTpConnectionChannel=
    function(element){
    	handleDeleteStereotype(element, "l_multicast");
    };
    
    mapping.SystemMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "PncMapping");
    };
    
    mapping.ReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "usesEndToEndProtection");
    };
    
    mapping.SwcToSwcSignal=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "SwcToSwcSignal_dataElement", ["l_softwareComposition", "l_componentPrototype", "l_portPrototype", "l_dataElementPrototype"]);
    };
    
    mapping.FlexrayFifoConfiguration=
    function(element){
    	handleDeleteStereotype(element, "FlexrayFifoConfiguration");
    	handleDeleteStereotype(element, "l_channel");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayFifoRange");
    };
    
    mapping.swImplMapping=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "component","SwCompToImplMapping_component", ["l_softwareComposition", "l_componentPrototype", "l_targetComponentPrototype"]);
    };
    
    mapping.UserDefinedPdu=
    function(element){
    	handleDeleteStereotype(element, "UserDefinedPdu");
    };
    
    mapping.DataReadAccess=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "DataReadAccess_dataElement", ["l_rPortPrototype", "l_dataElementPrototype"]);
    };
    
    mapping.EndToEndProtectionSet=
    function(element){
    	handleDeleteStereotype(element, "EndToEndProtectionSet");
    	handleDeleteStereotypeFromAggregates(element, "EndToEndProtection");
    };
    
    mapping.DataWriteAccess=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "DataWriteAccess_dataElement", ["l_pPortPrototype", "l_dataElementPrototype"]);
    };
    
    mapping.ModeSwitchPoint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "modeGroup", "ModeSwitchPoint_modeGroup", ["l_pPortPrototype", "l_modeDeclarationGroupPrototype"]);
    };
    
    mapping.SynchronousServerCallPoint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "operation", "ServerCallPoint_operation", ["l_rPortPrototype", "l_operationPrototype"]);
    };
    
    mapping.TpNode=
    function(element){
    	handleDeleteStereotype(element, "l_connector");
    	handleDeleteStereotype(element, "l_tpAddress");
    };
    
    mapping.UserDefinedIPdu=
    function(element){
    	handleDeleteStereotype(element, "UserDefinedIPdu");
    };
    
    mapping.FlexrayPhysicalChannel=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "pduPool");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayIsoTpConnectionControl");
    	handleDeleteStereotypeFromAggregates(element, "tpEcus");
    };
    
    mapping.PncMapping=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_pncGroup");
    	handleDeleteStereotypeFromAggregates(element, "l_wakeupFrame");
    };
    
    mapping.CompuScale=
    function(element){
    	handleDeleteTag(element, "symbol");
    };
    
    mapping.FlexrayFifoRange=
    function(element){
    	handleDeleteStereotype(element, "FlexrayFifoRange");
    };
    
    mapping.CanTpNode=
    function(element){
    	handleDeleteStereotype(element, "CanTpNode");
    };
    
    mapping.LinTpChannel=
    function(element){
    	handleDeleteStereotype(element, "l_multicast");
    };
    
    mapping.SwcToEcuMappingConstraint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "component", "SwcToEcuMappingConstraint_component", ["l_targetComponentPrototype", "l_softwareComposition", "l_componentPrototype"]);
    };
    
    mapping.DataReceivePoint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "DataReceivePoint_dataElement", ["l_rPortPrototype", "l_dataElementPrototype"]);
    };
    
    mapping.DocumentationBlock=
    function(element){
    	handleDeleteStereotype(element, "DocumentationBlock");
    	handleDeleteStereotypeFromAggregates(element, "MlData1");
    };
    
    mapping.EndToEndProtectionISignalIPdu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "l_iSignalGroup");
    	handleDeleteStereotypeFromAggregates(element, "l_iSignalIPdu");
    };
    
    mapping.LinTpNode=
    function(element){
    	handleDeleteStereotype(element, "LinTpNode");
    };
    
    mapping.Identifiable=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "introduction");
    };
    
    mapping.CanFrameTriggering=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "RxIdentifierRange");
    };
    
    mapping.FlexrayCluster=
    function(element){
    	handleRenameTag(element, "offsetCorrectionStart", "OffsetCorrectionStart");
    	handleRenameTag(element, "syncFrameIDCountMax", "syncNodeMax");
    	handleRenameTag(element, "wakeupRxIdle", "wakeUpSymbolRxIdle");
    	handleRenameTag(element, "wakeupRxLow", "wakeUpSymbolRxLow");
    	handleRenameTag(element, "wakeupRxWindow", "wakeUpSymbolRxWindow");
    	handleRenameTag(element, "wakeupTxIdle", "wakeUpSymbolTxIdle");
    	handleRenameTag(element, "wakeupTxActive", "wakeUpSymbolTxLow");
    };
    
    mapping.FlexrayCommunicationController=
    function(element){
    	handleRenameTag(element, "keySlotOnlyEnabled", "singleSlotEnabled");
    	handleDeleteStereotypeFromAggregates(element, "FlexrayFifoConfiguration");
    };
    
    mapping.FlexrayIsoTpPduPool=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpPduPool");
    	handleDeleteStereotype(element, "l_nPdu");
    };
    
    mapping.SenderReceiverToSignalGroupMapping=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "SenderReceiverToSignalGroupMapping_dataElement", ["l_softwareComposition", "l_componentPrototype", "l_portPrototype", "l_dataElement"]);
    };
    
    mapping.ComponentSeparation=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "separatedComponent", "ComponentSeparation_separatedComponent", ["l_separatedComponent", "l_softwareComposition", "l_componentPrototype"]);
    };
    
    mapping.RxIdentifierRange=
    function(element){
    	handleDeleteStereotype(element, "RxIdentifierRange");
    };
    
    mapping.RecordElementRef=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "recordElement", "RecordElementRef_RecordElement_Type",["l_compositionComponentPrototype", "l_componentPrototype", "l_portPrototype","l_dataElementPrototype", "l_recordElement"]);
    };
    
    mapping.PortGroup=
    function(element){
    	handleDeleteStereotype(element, "PortGroup");
    	handleDeleteStereotype(element, "l_outerPort");
    };
    
    mapping.EndToEndProtection=
    function(element){
    	handleDeleteStereotype(element, "EndToEndProtection");
    	handleDeleteStereotypeFromAggregates(element, "endToEndProfile");
    	handleDeleteStereotypeFromAggregates(element, "EndToEndProtectionDataElementPrototype");
    	handleDeleteStereotypeFromAggregates(element, "EndToEndProtectionISignalIPdu");
    };
    
    mapping.modeDependency=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dependentOnMode", "ModeDisablingDependency_dependentOnMode", ["l_rPortPrototype", "l_modeDeclarationGroupPrototype", "l_modeDeclaration"]);
    };
    
    mapping.SenderComSpec=
    function(element){
    	handleDeleteTag(element, "usesEndToEndProtection");
    };
    
    mapping.EndToEndDescription=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "EndToEndDescription");
    };
    
    mapping.SwcToSwcOperationArguments=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "operation", "SwcToSwcOperationArguments_operation", ["l_softwareComposition", "l_componentPrototype", "l_portPrototype", "l_operationPrototype"]);
    };
    
    mapping.ArCalprmRef=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "arCalprm", "ArCalprmRef_CalprmElementPrototype", ["l_componentPrototype", "l_portPrototype", "l_calprmElementPrototype"]);
    };
    
    mapping.ComponentClustering=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "clusteredComponent", "ComponentClustering_clusteredComponent", ["l_clusteredComponent", "l_softwareComposition", "l_componentPrototype"]);
    };
    
    mapping.FlexrayTpNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayTpNode");
    };
    
    mapping.NmPdu=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "ISignalToIPduMapping");
    };
    
    mapping.EndToEndProtectionDataElementPrototype=
    function(element){
    	handleDeleteStereotype(element, "EndToEndProtectionDataElementPrototype");
    };
    
    mapping.ComponentType=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "PortGroup");
    };
    
    mapping.FlexrayTpChannel=
    function(element){
    	handleRenameStereotype(element, "FlexrayTpChannel", "FlexRayTpChannel");
    	handleDeleteStereotype(element, "l_flowControlPdu");
    	handleDeleteStereotypeFromAggregates(element, "pduPool");
    };
    
    mapping.FlexrayIsoTpConnection=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpConnection");
    	handleDeleteStereotype(element, "l_directTpSdu");
    	handleDeleteStereotype(element, "l_multicast");
    	handleDeleteStereotype(element, "l_receiver");
    	handleDeleteStereotype(element, "l_reversedTpSdu");
    	handleDeleteStereotype(element, "l_rxPduPool");
    	handleDeleteStereotype(element, "l_tpConnectionControl");
    	handleDeleteStereotype(element, "l_transmitter");
    	handleDeleteStereotype(element, "l_txPduPool");
    };
    
    mapping.ClientServerToSignalGroupMapping=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "mappedOperation", "ClientServerToSignalGroupMapping_mappedOperation", ["l_compositionPrototype", "l_componentPrototype", "l_portPrototype", "l_operation"]);
    };
    
    mapping.FlexrayIsoTpEcu=
    function(element){
    	handleChangeTargetPropertyOnStereotype(element, "FlexrayIsoTpEcu");
    	handleDeleteStereotype(element, "l_ecuInstance");
    };
    
    mapping.SignalPort=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "DataFilter");
    };
    
    mapping.CalprmAccess=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "calprmAccess", "CalprmAccess_CalprmElementPrototype ", ["l_componentPrototype",  "l_portPrototype", "l_calprmElementPrototype"]);
    };
    
    mapping.EcuInstance=
    function(element){
    	handleRenameTag(element, "comProcessingPeriodRx", "comProcessingPeriod");
    	handleDeleteStereotype(element, "l_associatedPdurIPduGroup");
    };
    
    mapping.FlexrayIsoTpNode=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpNode");
    };
    
    mapping.PdurIPduGroup=
    function(element){
    	handleDeleteStereotype(element, "PdurIPduGroup");
    	handleDeleteStereotype(element, "l_iPdu");
    };
    
    mapping.TpAddress=
    function(element){
    	handleDeleteStereotype(element, "TpAddress");
    };
    
    mapping.CanCommunicationConnector=
    function(element){
    	handleDeleteStereotype(element, "CanCommunicationConnector");
    };
    
    mapping.AsynchronousServerCallPoint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "operation", "ServerCallPoint_operation", ["l_rPortPrototype", "l_operationPrototype"]);
    };
    
    mapping.FlexrayIsoTpConnectionControl=
    function(element){
    	handleDeleteStereotype(element, "FlexrayIsoTpConnectionControl");
    };
    
    mapping.DataSendPoint=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataElement", "DataSendPoint_dataElement", ["l_pPortPrototype", "l_dataElementPrototype"]);
    };
    
    mapping.UnqueuedReceiverComSpec=
    function(element){
    	handleDeleteTag(element, "handleNeverReceived");
    };
    
    mapping.InstanceReferenceValue=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "value", "InstanceReferenceValue_value", ["l_context", "l_value"]);
    };
    
    mapping.XfileSo=
    function(element){
    	handleRenameStereotype(element, "XfileSo", "Xfile");
handleDeleteStereotype(element, "XfileSo");
    	handleDeleteStereotypeFromAggregates(element, "Url");
    };
    
    mapping.DataPrototypeRef=
    function(element){
    	handleInstanceRefFromContextTagToDependency(element, "dataPrototype", "DataPrototypeRef_DataPrototype_Type", ["l_compositeComponentPrototype", "l_componentPrototype", "l_portPrototype", "l_dataPrototype"]);
    };
    
    
    return mapping;
}
