/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
function main(){
    var mapping=new Array();
    
    
    mapping.ScaleConstr=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.remark=
    function(element){
    	handleDeleteStereotype(element, "remark");
    	handleDeleteStereotypeFromAggregates(element, "MultiLanguageParagraph");
    	handleDeleteStereotypeFromAggregates(element, "MultiLanguageVerbatim");
    };
    
    mapping.BswImplementation=
    function(element){
    	handleTagToContainmentRef(element, "vendorApiInfix", "Identifier", "Comment", "value");
    };
    
    mapping.SwRecordLayoutV=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.SwAddrMethod=
    function(element){
    	handleTagToContainmentRef(element, "option", "Identifier", "Comment", "value");
    };
    
    mapping.SwPointerTargetProps=
    function(element){
    	handleTagToContainmentRef(element, "targetCategory", "Identifier", "Comment", "value");
    };
    
    mapping.SwRecordLayoutGroup=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    	handleTagToContainmentRef(element, "swRecordLayoutComponent", "Identifier", "Comment", "value");
    };
    
    mapping.BswModuleEntry=
    function(element){
    	handleTagToContainmentRef(element, "role", "Identifier", "Comment", "value");
    };
    
    mapping.SwDataDefPropsVariant=
    function(element){
    	handleTagToContainmentRef(element, "mcFunction", "Identifier", "Comment", "value");
    	handleTagToContainmentRef(element, "swInterpolationMethod", "Identifier", "Comment", "value");
    };
    
    mapping.AttributeValueVariationPoint=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.swDataDependencyFormula=
    function(element){
    	handleTagToContainmentRef(element, "level", "Identifier", "Comment", "value");
    };
    
    mapping.CompuScale=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.InterpolationRoutine=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.ApplicationValueSpecification=
    function(element){
    	handleTagToContainmentRef(element, "category", "Identifier", "Comment", "value");
    };
    
    mapping.ValueSpecification=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.MemorySection=
    function(element){
    	handleTagToContainmentRef(element, "option", "Identifier", "Comment", "value");
    };
    
    mapping.assignedPort=
    function(element){
    	handleTagToContainmentRef(element, "role", "Identifier", "Comment", "value");
    };
    
    mapping.Traceable=
    function(element){
    	handleRenameTag(element, "category", "category");
    };
    
    mapping.McParameterElementGroup=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.assignedData=
    function(element){
    	handleTagToContainmentRef(element, "role", "Identifier", "Comment", "value");
    	handleDeleteStereotypeFromAggregates(element, "usedDataElement");
    	handleDeleteStereotypeFromAggregates(element, "usedParameterElement");
    	handleDeleteStereotypeFromAggregates(element, "l_usedPim");
    };
    
    mapping.RunnableEntity=
    function(element){
    	handleTagToContainmentRef(element, "symbol", "CIdentifier", "Comment", "value");
    };
    
    mapping.BswTriggerDirectImplementation=
    function(element){
    	handleTagToContainmentRef(element, "task", "Identifier", "Comment", "value");
    };
	
	mapping.triggerPeriod=
    function(element){
		handleRenameTag(element, "cseCode", "cseCode");
	};
    
    mapping.ReferenceBase=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.IncludedDataTypeSet=
    function(element){
    	handleTagToContainmentRef(element, "literalPrefix", "Identifier", "Comment", "value");
    };
    
    mapping.Identifiable=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "MultilanguageLongName");
    };
    
    mapping.emulationSupport=
    function(element){
    	handleTagToContainmentRef(element, "category", "Identifier", "Comment", "value");
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    mapping.EcucEnumerationParamDef=
    function(element){
    	handleTagToContainmentRef(element, "defaultValue", "Identifier", "Comment", "value");
    };
    
    mapping.VariationPoint=
    function(element){
    	handleTagToContainmentRef(element, "shortLabel", "Identifier", "Comment", "value");
    };
    
    
    return mapping;
}
