/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.NumericalValueVariationPoint=
    function(element){
    	handleDeleteTag(element, "mixedContentIndex");
    };
    
    mapping.BaseTypeAbsSize=
    function(element){
    	moveTagToOwner(element, "baseTypeSize");
		deleteElement(element);
    };
    
    mapping.RPortPrototype=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.KeywordSet=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucFunctionNameDefVariant=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "defaultValue","VerbatimString", "defaultValue");
    };
    
    mapping.DiagnosticValueNeeds=
    function(element){
    	handleRenameTag(element, "DiagnosticValueAccess", "diagnosticValueAccess");
    };
    
    mapping.BswTimingEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.CyclicTiming=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswModeSwitchEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ModeSwitchPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SocketConnection=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.PPortPrototype=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswExternalTriggerOccurredEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwValues=
    function(element){
    	var child = getAnnotationIn(element, "vt");
 if(child!=null){
  var tag;
  var tag2;
  var tagValues;
  var tagValues2;
  tag = getTag(child, "value");
  tag2 = getTag(child, "mixedContentIndex");
  if (tag!=null){
    tagValues = getTagValues(tag);
  }

  if (tag2!=null){
    tagValues2 = getTagValues(tag2);
  }
  var newElement = createElementOn(element, "VerbatimString", null);

  if(newElement!=null){
   setTagValue(newElement, "value", tagValues);
   setTagValue(newElement, "mixedContentIndex", tagValues2);
  }
  deleteElement(child);
 }
    };
    
    mapping.HwCategory=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucLinkerSymbolDefVariant=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "defaultValue","VerbatimString", "defaultValue");
    };
    
    mapping.EcucContainerValue=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.PncMapping=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.HwAttributeValue=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "vt", "VerbatimString", "value");
    };
    
    mapping.MixedContentForPlainText=
    function(element){
    	handleDeleteTag(element, "contents");
    };
    
    mapping.CompuScale=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "lowerLimit");
    	handleDeleteStereotypeFromAggregates(element, "upperLimit");
    };
    
    mapping.BswBackgroundEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.RuleArguments=
    function(element){
    	 
    };
    
    mapping.BaseTypeMaxSize=
    function(element){
    	handleDeleteTag(element, "maxBaseTypeSize");
    	handleDeleteStereotype(element, "BaseTypeMaxSize");
    };
    
    mapping.XcpPdu=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.AsynchronousServerCallResultPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswInternalTriggerOccurredEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucMultilineStringParamDefVariant=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "defaultValue","VerbatimString", "defaultValue");
    };
    
    mapping.IPduTiming=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.InternalTriggeringPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.SwAddrMethod=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.TextValueSpecification=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "value","value", "value");
    };
    
    mapping.EcucAbstractStringParamDefContent=
    function(element){
    	handleDeleteTag(element, "defaultValue");
    };
    
    mapping.ParameterAccess=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BswModeSwitchedAckEvent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ScaleConstr=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "lowerLimit");
    	handleDeleteStereotypeFromAggregates(element, "upperLimit");
    };
    
    mapping.PerInstanceMemory=
    function(element){
    	handleDeleteTag(element, "type");
    	handleTagToTagInNewStereotypedElement(element,"type","value","type");
    };
    
    mapping.InternalConstrs=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "lowerLimit");
    	handleDeleteStereotypeFromAggregates(element, "upperLimit");
    };
    
    mapping.CompuConstTextContent=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "vt", "VerbatimString", "value");
    };
    
    mapping.VfbTiming=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.VariableAccess=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucTextualParamValue=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "value","value", "value");
    };
    
    mapping.SwSystemconst=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.PostBuildVariantCriterion=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EOCExecutableEntityRef=
    function(element){
    	handleRenameStereotype(element, "orderedElement", "EOCExecutableEntityRef");
    };
    
    mapping.TDEventVariableDataPrototype=
    function(element){
    	handleDeleteTag(element, "tdEventVariableDataPrototypeType");
    };
    
    mapping.TDEventSwcInternalBehavior=
    function(element){
    	handleMoveValuesFromContextTagToAnother(element, "component","component");
    };
    
    mapping.PhysConstrs=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "lowerLimit");
    	handleDeleteStereotypeFromAggregates(element, "upperLimit");
    };
    
    mapping.EcucStringParamDefVariant=
    function(element){
    	handleTagToTagInNewStereotypedElement(element, "defaultValue","VerbatimString", "defaultValue");
    };
    
    mapping.EventControlledTiming=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.BaseType=
    function(element){
    	handleDeleteTag(element, "memAlignment");
    };
    
    mapping.Limit=
    function(element){
    	handleDeleteTag(element, "intervalType");
    };
    
    mapping.TDEventVfb=
    function(element){
    	handleDeleteTag(element, "isExternal");
    	handleDeleteStereotype(element, "l_port");
    	handleMoveValuesFromContextTagToAnother(element, "component","component");
    };
    
    
    return mapping;
}
