/********************************************************************************
*Licensed Materials - Property of IBM
*(c) Copyright IBM Corporation 2008, 2016. All Rights Reserved.
*
*Note to U.S. Government Users Restricted Rights:  
*Use, duplication or disclosure restricted by GSA ADP Schedule 
*Contract with IBM Corp.
********************************************************************************/

function main(){
    var mapping=new Array();
    
    
    mapping.MixedContentForOverviewParagraph=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.ParameterAccess=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.IndexEntry=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.UserDefinedEthernetFrame=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucInstanceReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucUriReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ModeSwitchPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.GenericEthernetFrame=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.RecordValueSpecification=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.VariableAccess=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.Ieee1722TpEthernetFrame=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucSymbolicNameReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.Table=
    function(element){
    	handleRenameTag(element, "Float", "Tablefloat");
    };
    
    mapping.MixedContentForUnitNames=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.ModeAccessPointIdent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.MixedContentForParagraph=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.AsynchronousServerCallResultPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucChoiceReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ExternalTriggeringPointIdent=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EmphasisText=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.Area=
    function(element){
    	handleRenameTag(element,"Class","Areaclass");
    };
    
    mapping.ImplementationDataTypeElement=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.MixedContentForLongName=
    function(element){
    	handleDeleteStereotypeFromAggregates(element, "sub");
    	handleDeleteStereotypeFromAggregates(element, "sup");
    };
    
    mapping.MultiLanguageVerbatim=
    function(element){
    	handleRenameTag(element,"Float", "MultiLanguageVerbatimfloat");
    };
    
    mapping.InternalTriggeringPoint=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.EcucForeignReferenceDef=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.ArrayValueSpecification=
    function(element){
    	handleChangeGeneralizationTarget(element);
    };
    
    mapping.Map=
    function(element){
    	handleRenameTag(element, "Class", "Mapclass");
    };
    
    
    return mapping;
}
